xmltooling::hasSchemaType Class Reference

Predicate that checks the xsi:type of an XMLObject. More...

`#include <xmltooling/util/Predicates.h>`

## Public Member Functions

| hasSchemaType (const QName &q)
| Constructor.
bool | operator() (const XMLObject *xmlObject) const
| Returns true iff the provided object's xsi:type matches the constructor argument.

## Detailed Description

Predicate that checks the xsi:type of an XMLObject.

## Constructor & Destructor Documentation

## hasSchemaType()

xmltooling::hasSchemaType::hasSchemaType | ( | const QName & | q | ) |

inline

Constructor.

Parameters

  q | the QName to check for

## Member Function Documentation

## operator()()

bool xmltooling::hasSchemaType::operator() | ( | const XMLObject * | xmlObject | ) | const

inline

Returns true iff the provided object's xsi:type matches the constructor argument.

Parameters

  xmlObject | the object to examine

The documentation for this class was generated from the following file:

- xmltooling/util/Predicates.h